<? if ($this->ordered_array): ?>

	<? $m = new Model_ClubDirectory(); $idna = new Model_Idna_Convert(); ?>
	<? $DEFINITIONS = Zend_Registry::get('defines'); ?>

	<div class="rowSepDot"></div>
	<? foreach ($this->ordered_array as $k => $array): shuffle($array); ?>
		<? foreach ( $array as $item ): ?>

			<? if ($item->distance) $distance = number_format ($item->distance, 1) . ' km'; else $distance = ''; ?>
			<? if ( !$item->is_premium ): ?>
				<? 
				if ($item->escort_id)
				{
					$type = 'working_girl';
					$type_name = $this->t('working_girl');
					$name = $item->showname;
					$link = $this->getLink('profile', array('showname' => $item->showname, 'escort_id' => $item->escort_id));
					$comment_link = $this->getLink('profile', array('showname' => $item->showname, 'escort_id' => $item->escort_id)) . '#comments';
				}
				else
				{
					switch ($item->filter_criteria)
					{
						case AGENCY_FILTER_CRITERIA_CLUB:
							$type = 'club';
							$type_name = $DEFINITIONS['agency_filter_criteria'][AGENCY_FILTER_CRITERIA_CLUB];
							break;
						case AGENCY_FILTER_CRITERIA_KONTAKTBAR:
							$type = 'kontaktbar';
							$type_name = $DEFINITIONS['agency_filter_criteria'][AGENCY_FILTER_CRITERIA_KONTAKTBAR];
							break;
						case AGENCY_FILTER_CRITERIA_LAUFHAUS:
							$type = 'laufhaus';
							$type_name = $DEFINITIONS['agency_filter_criteria'][AGENCY_FILTER_CRITERIA_LAUFHAUS];
							break;
						case AGENCY_FILTER_CRITERIA_NIGHTCLUB:
							$type = 'nightclub';
							$type_name = $DEFINITIONS['agency_filter_criteria'][AGENCY_FILTER_CRITERIA_NIGHTCLUB];
							break;
					}

					$name = $item->club_name;
					$link = $this->getLink('agency', array('slug' => $item->club_slug, 'id' => $item->agency_id));
					$comment_link = $this->getLink('agency', array('slug' => $item->club_slug, 'id' => $item->agency_id)) . '#comments';
				}
				?>
				<div class="row">
					<table>
						<tr>
							<td class="type <?= $type ?>"><?= $type_name ?></td>
							<td class="name">
								<? if ( $item->escort_id ): ?>
								<a class="oc-showname" href="<?= $link ?>">
									<span class="popup-img">
										<? $e_item = new Model_Escort_PhotoItem($item); ?>
										<img height="200" width="150" src="<?= $e_item->getUrl('thumb') ?>" alt="<?= $name ?>" />
									</span>
									<span class="limit">
										<?= $name ?>
									</span>
								</a>
								<? else: ?>
								<a href="<?= $link ?>"><?= trim($name) ?></a>
								<? endif; ?>
							</td>
							<td class="address">
								<?= trim($item->address) ?><?= (trim($item->zip)) ? ', ' . trim($item->zip) : '' ?>
							</td>
							<td class="city"><?= trim($item->{'city_title_' . $this->lang()}) ?><?= ( $this->all_cities && trim($item->{'area_title_' . $this->lang()})) ? ', ' . trim($item->{'area_title_' . $this->lang()}) : '' ?></td>
							<td class="distance"><?= $distance ?></td>
							<td class="web">
								<? if ( $item->web ): ?>
								<a href="<?= $this->getLink('external-link', array('link' => $idna->encode($item->web))) ?>" target="_blank">web</a>
								<? else: ?>
								<a class="d" href="#">web</a>
								<? endif; ?>
							</td>
							<td class="comment">
								<? if ( ! $item->disabled_comments && $item->comments > 0 ): ?>
								<a href="<?= $comment_link ?>">Kommentare</a>
								<? else: ?>
								<a class="d" href="#">Kommentare</a>
								<? endif; ?>
							</td>
						</tr>
					</table>
				</div>
			<? else: ?>
				<?
					$logo = ($item->photo_hash) ? $m->getLogoUrl($item->photo_hash, $item->photo_ext) : _st('banner-logo_agency.jpg');
					$link = $this->getLink('agency', array('slug' => $item->club_slug, 'id' => $item->agency_id));
					$comment_link = $this->getLink('agency', array('slug' => $item->club_slug, 'id' => $item->agency_id)) . '#comments';
				?>
				<div class="row premium">
					<table>
						<tr>
							<td class="logo-wrap"><div class="logo"><img src="<?= $logo ?>" /></div></td>
							<td class="premium-logo-wrap">
								<div class="premium-logo"></div>
							</td>
							<td class="address">
								<a href="<?= $link ?>" class="name"><?= $item->club_name ?></a>
								<br/>
								<?= trim($item->address) ?><?= (trim($item->zip)) ? ', ' . trim($item->zip) . ' ' : ', ' ?><?= (trim($item->{'city_title_' . $this->lang()})) ? '' . trim($item->{'city_title_' . $this->lang()}) : '' ?><?= ( $this->all_cities && trim($item->{'area_title_' . $this->lang()})) ? ', ' . trim($item->{'area_title_' . $this->lang()}) : '' ?>
								<br/><br/>
								<?= $item->phone ?>
							</td>
							<td class="distance"><?= $distance ?></td>
							<td class="web">
								<? if ( $item->web ): ?>
								<a href="<?= $this->getLink('external-link', array('link' => $idna->encode($item->web))) ?>" target="_blank">web</a>
								<? else: ?>
								<a class="d" href="#">web</a>
								<? endif; ?>
							</td>
							<td class="comment">
								<? if ( ! $item->disabled_comments && $item->comments > 0 ): ?>
								<a href="<?= $comment_link ?>">Kommentare</a>
								<? else: ?>
								<a class="d" href="#">Kommentare</a>
								<? endif; ?>
							</td>
						</tr>
					</table>
				</div>
			<? endif; ?>
		
		<? endforeach; ?>
		<div class="rowSepDot"></div>
	<? endforeach; ?>
		
	<?/*	
	<? $pages_count = ceil($this->count / $this->perPage); ?>
	<? if ( $pages_count != 1 ): ?>
	<p id="paging">
		<?  $pages = $this->paging($this->count, $this->page, $this->perPage); ?>
		<? if ( 1 < $this->page): ?>
			<a class="prev" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page - 1 ?>'] })"></a>
		<? endif ?>

		<? foreach ( $pages as $page ): ?>	
		<? if ( $this->page == $page ): ?>
			<span><?= $page ?></span>
		<? else: ?>
			<a class="p" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $page ?>'] })"><?= $page ?></a>
		<? endif ?>
		<? endforeach ?>

		<? if ( $pages_count > $this->page): ?>
			<a class="next" href="#" onclick="return Cubix.Filter.Set({ page: ['<?= $this->page + 1 ?>'] })"></a>
		<? endif ?>
	</p>
	<? endif;?> */ ?>

	<div class="clear"></div> 
<? else: ?>
	<div><?= __('no_escorts_or_agencies_found'); ?></div>
<? endif; ?>